[PATCH] D143249: [Release] Increase test-release.sh verbosity
Rainer Orth via Phabricator via llvm-commits
llvm-commits at lists.llvm.org
Fri Feb 3 01:55:04 PST 2023
ro created this revision.
ro added a reviewer: tstellar.
Herald added subscribers: pengfei, kristof.beyls.
Herald added a project: All.
ro requested review of this revision.
Herald added a project: LLVM.
`test-release.sh` is too silent in some cases:
- Only the build proper is run verbosely, but `check-all` is not.
- `lit` is run without `-v`, so in case of failures one cannot see what's actually wrong.
This patch fixes both issues, running all `${MAKE}` invocations with `$Verbose` (except for `${MAKE} install` where it would only add noise), and running `lit` with `-v`.
Tested on `x86_64-pc-linux-gnu` and `arm64-apple-darwin21.6`.
Btw., I just noticed that one may want to also echo the `${MAKE} check-all` and `${MAKE} check` calls for symmetry.
Repository:
rG LLVM Github Monorepo
https://reviews.llvm.org/D143249
Files:
llvm/utils/release/test-release.sh
Index: llvm/utils/release/test-release.sh
===================================================================
--- llvm/utils/release/test-release.sh
+++ llvm/utils/release/test-release.sh
@@ -426,7 +426,7 @@
-DCMAKE_BUILD_TYPE=$BuildType -DLLVM_ENABLE_ASSERTIONS=$Assertions \
-DCMAKE_POSITION_INDEPENDENT_CODE=ON \
-DLLVM_ENABLE_PROJECTS="$project_list" \
- -DLLVM_LIT_ARGS="-j $NumJobs" \
+ -DLLVM_LIT_ARGS="-j $NumJobs $LitVerbose" \
-DLLVM_ENABLE_RUNTIMES="$runtime_list" \
$ExtraConfigureFlags $BuildDir/llvm-project/llvm \
2>&1 | tee $LogDir/llvm.configure-Phase$Phase-$Flavor.log
@@ -435,7 +435,7 @@
-DCMAKE_BUILD_TYPE=$BuildType -DLLVM_ENABLE_ASSERTIONS=$Assertions \
-DCMAKE_POSITION_INDEPENDENT_CODE=ON \
-DLLVM_ENABLE_PROJECTS="$project_list" \
- -DLLVM_LIT_ARGS="-j $NumJobs" \
+ -DLLVM_LIT_ARGS="-j $NumJobs $LitVerbose" \
-DLLVM_ENABLE_RUNTIMES="$runtime_list" \
$ExtraConfigureFlags $BuildDir/llvm-project/llvm \
2>&1 | tee $LogDir/llvm.configure-Phase$Phase-$Flavor.log
@@ -453,6 +453,7 @@
if [ ${MAKE} = 'ninja' ]; then
Verbose="-v"
fi
+ LitVerbose="-v"
redir="/dev/stdout"
if [ $do_silent_log == "yes" ]; then
@@ -486,7 +487,7 @@
fi
cd $ObjDir
- if ! ( ${MAKE} -j $NumJobs $KeepGoing check-all \
+ if ! ( ${MAKE} -j $NumJobs $KeepGoing $Verbose check-all \
2>&1 | tee $LogDir/llvm.check-Phase$Phase-$Flavor.log ) ; then
deferred_error $Phase $Flavor "check-all failed"
fi
@@ -497,7 +498,7 @@
cmake $TestSuiteSrcDir -G "$generator" -DTEST_SUITE_LIT=$Lit \
-DTEST_SUITE_HOST_CC=$build_compiler
- if ! ( ${MAKE} -j $NumJobs $KeepGoing check \
+ if ! ( ${MAKE} -j $NumJobs $KeepGoing $Verbose check \
2>&1 | tee $LogDir/llvm.check-Phase$Phase-$Flavor.log ) ; then
deferred_error $Phase $Flavor "test suite failed"
fi
-------------- next part --------------
A non-text attachment was scrubbed...
Name: D143249.494551.patch
Type: text/x-patch
Size: 2005 bytes
Desc: not available
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20230203/11480857/attachment.bin>
More information about the llvm-commits
mailing list